/*---------------------------------------------------------------------------*\
**$Author: saulius $
**$Date: 2015-07-28 19:15:32 +0000 (Tue, 28 Jul 2015) $ 
**$Revision: 3727 $
**$URL: svn://www.crystallography.net/cod-tools/trunk/src/components/codcif/cif_grammar_y.h $
\*---------------------------------------------------------------------------*/

#ifndef __CIF_GRAMMAR_Y_H
#define __CIF_GRAMMAR_Y_H

#include <cif.h>
#include <cif_options.h>
#include <cexceptions.h>

CIF *new_cif_from_cif_file( char *filename, cif_option_t co,
                            cexception_t *ex );

void cif_printf( cexception_t *ex, char *format, ... );
char * cif_unprefix_textfield( char * tf );
char * cif_unfold_textfield( char * tf );

void print_message( const char *errlevel, const char *message, 
                    const char *suffix, int line,
                    int position, cexception_t *ex );
void print_current_text_field( char *text, cexception_t *ex );
void print_current_trace( cexception_t *ex );
void print_previous_trace( cexception_t *ex );
void yyincrease_error_counter( void );

int is_tag_value_unknown( char * tv );

int cif_yy_error_number( void );
void cif_yy_reset_error_count( void );

void cif_yy_debug_on( void );
void cif_yy_debug_off( void );

#endif
